> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/new-udfloatingactionbutton.md).

# New-UDFloatingActionButton

### Synopsis

A Floating Action Button (FAB) performs the primary, or most common, action on a screen.

### Syntax

```powershell
New-UDFloatingActionButton [[-Id] <String>] [[-Icon] <Object>] [[-Size] <String>] [[-OnClick] <Endpoint>] [[-ClassName] <String>] [[-Color] <String>] [[-Position] <String>] [<CommonParameters>]
```

### Description

Creates a new floating action button. Floating action buttons are good for actions that make sense for an entire page. They can be pinned to the bottom of a page.

### Parameters

#### -Id

The ID of the component. It defaults to a random GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon The icon to put within the floating action button.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SizeThe size of the button. Valid values are: "small", "medium", "large"Required?                    falsePosition?                    3Default value                largeAccept pipeline input?       falseAliasesAccept wildcard characters?  false-OnClickA script block to execute when the floating action button is clicked.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameA CSS class to apply to the floating action button.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColorThe theme color to apply to the button. Valid values are: "Default", "Primary", "Secondary"Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-PositionThe position of the floating action button. Valid values are: "Relative", "BottomLeft", "BottomRight"Required?                    falsePosition?                    7Default value                BottomRightAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Outputs--------------------------> EXAMPLE 1 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab1' -Position RelativeBasic floating action button|Creates a floating action button with a user icon and shows a toast when clicked.-------------------------- EXAMPLE 2 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -Size Small -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab2' -Position RelativeSmall floating action button|Creates a small floating action button with a user icon and shows a toast when clicked.-------------------------- EXAMPLE 3 --------------------------PS >New-UDFloatingActionButton -Icon (New-UDIcon -Icon 'user') -Position BottomRight -OnClick {PS >    Show-UDToast -Message 'Hello'PS > } -Id 'fab3'Position|Creates a floating action button with a user icon and shows a toast when clicked. The button is positioned in the bottom right of the buttons's container.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/new-udfloatingactionbutton.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
